#
# spec file for package dbench
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dbench
Version:        3.04
Release:        169.34
Summary:        File System Benchmark Similar to Netbench
License:        GPL-2.0+
Group:          System/Benchmark
Url:            http://dbench.samba.org/
Source:         http://samba.org/ftp/tridge/dbench/%{name}-%{version}.tar.gz
Patch1:         verbose.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dbench is a file system benchmark that generates load patterns similar
to those of the commercial Netbench benchmark, but without requiring a
lab of Windows load generators to run. It is now considered a de facto
standard for generating load on the Linux VFS.

%prep
%setup -q
%patch1 -p1

%build
%configure --datadir="%{_datadir}/dbench"
make %{?_smp_mflags}

%install
# install dbench
make install prefix="%{buildroot}/%{_prefix}" bindir="%{buildroot}/%{_bindir}" \
	datadir="%{buildroot}/%{_datadir}/dbench" mandir="%{buildroot}/%{_mandir}/man1"
mkdir -p %{buildroot}/%{_docdir}/dbench
install -m 644 README %{buildroot}/%{_docdir}/dbench/README
# create directories
find %{buildroot}%{_datadir}/dbench -name "*.txt" -type f -print0 | xargs -r -0 chmod a-x

%files
%defattr(-,root,root)
%{_bindir}/dbench
%{_bindir}/tbench
%{_bindir}/tbench_srv
%{_mandir}/man1/dbench.1.gz
%{_mandir}/man1/tbench.1.gz
%{_mandir}/man1/tbench_srv.1.gz
%{_datadir}/dbench
%doc %{_docdir}/dbench

%changelog
* Fri Nov  7 2014 dsterba@suse.cz
- remove ctcs2-glue subpackage
- clean spec
* Wed Oct 15 2014 jengelh@inai.de
- Use parallel build, source URLs and remove ancient specfile
  tags and sections
* Mon Oct 27 2008 dsterba@suse.cz
- use path for documentation from docdir
* Thu Oct 16 2008 vmarsik@suse.cz
- added dependency on kernel-nfs-server for the ctcs2-glue subpackage
* Fri Sep 26 2008 vmarsik@suse.cz
- added TCF for running on local NFS mount
- reverted Yi's renaming
* Tue Apr  8 2008 yxu@suse.de
- renamed all filed done by vmarsik, with a -v suffix
- return to old file name schema to keep integrity and continuity of dbench tables in QADB
* Wed Mar 19 2008 yxu@suse.de
- adjust the wait time in tcf file (much longer than 750s in real test)
* Wed Mar 12 2008 yxu@suse.de
- removed do_dbench,v in ctcstool source (it is not built anywhere)
- retrieving content from the old missing patch fixing_suse_cert_dependency, and integrated into source
* Fri Mar  7 2008 yxu@suse.de
- submit the package to all distributions
* Mon Mar  3 2008 vmarsik@suse.cz
- subpkg dbench-ctcs2-glue: now uses /tmp when /abuild not available
- subpkg dbench-ctcs2-glue: starts a series of 1,2,4,8,12,16,20,24,32,40,48,56,64,96,128,192,256,384,500 processes
- subpkg dbench-ctcs2-glue: every run now takes only the standard time of 120+600 seconds
- subpkg dbench-ctcs2-glue: old version still available under dbench-run-old
* Fri Jul 27 2007 pkirsch@suse.de
- dodbench_spare_file fixes the awk command for searching the size
  of the choosen dir. Now it can run on a spare file.
* Wed Feb 21 2007 yxu@suse.de
- merge several fixing_suse_cert_dependency patches into one file
* Thu Feb  8 2007 yxu@suse.de
- finished removing dependency on pkg suse_cert
* Mon Jan 29 2007 yxu@suse.de
- continued removing dependency on pkg suse_cert
- fixed typo
* Fri Nov 10 2006 ro@suse.de
- fix docu permissions
* Mon Feb  6 2006 fseidel@suse.de
- removed dpendency on pkg suse_cert
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec  7 2005 kgw@suse.de
- subpkg dbench-ctcs2-glue: Added wrapper script do_dbench
  for some pre-test error checking
- subpkg dbench-ctcs2-glue: adapted the *.tcf accordingly
- subpkg dbench-ctcs2-glue: new: dependency on pkg suse-cert
* Tue Nov 15 2005 ories@suse.de
- major update to 3.04
- moved clients.txt to /usr/share/dbench/
- added subpackage dbench-ctcs2-glue
* Thu Jun 30 2005 meissner@suse.de
- use RPM_OPT_FLAGS.
* Wed Jun 18 2003 ro@suse.de
- added directory to filelist
* Wed Sep 18 2002 ro@suse.de
- removed bogus self-provides
* Tue Dec 18 2001 ories@suse.de
- initial package
